class CreateStockJournals < ActiveRecord::Migration[5.1]
  def change
    create_table :stock_journals do |t|
      t.string :item_code, :null => false
      t.integer :inventory_definition_id, :null => false
      t.integer :credit, :default => 0
      t.integer :debit, :default => 0
      t.integer :balance, :default => 0
      t.string :remark
      t.string :trans_ref, :null => false
      t.string :trans_type
      t.timestamps
    end
  end
end
